URBAN COOL COOLING MODEL Sample ERROR

HI

When I tested the urban cooling model with the sample data installed in this model, an error occurred.
The error message is as follows.
2020-03-27 18:13:58,508 utils.prepare_workspace(115) INFO Writing log messages to C:\Users\Kim\Documents\urban_cooling_model_workspace\InVEST-Urban-Cooling-Model-log-2020-03-27–18_13_58.txt
2020-03-27 18:13:58,509 model._logged_target(1642) Level 100 Starting model with parameters:
Arguments for InVEST natcap.invest.urban_cooling_model 3.8.0:
aoi_vector_path C:/InVEST_3.8.0_x86/sample_data/UrbanCoolingModel/aoi.shp
avg_rel_humidity 30
biophysical_table_path C:/InVEST_3.8.0_x86/sample_data/UrbanCoolingModel/Biophysical_UHI_fake.csv
building_vector_path C:/InVEST_3.8.0_x86/sample_data/UrbanCoolingModel/sample_buildings.shp
cc_method factors
cc_weight_albedo 0.2
cc_weight_eti 0.2
cc_weight_shade 0.6
do_valuation True
energy_consumption_table_path C:/InVEST_3.8.0_x86/sample_data/UrbanCoolingModel/Fake_energy_savings.csv
green_area_cooling_distance 1000
lulc_raster_path C:/InVEST_3.8.0_x86/sample_data/UrbanCoolingModel/lulc.tif
n_workers -1
ref_eto_raster_path C:/InVEST_3.8.0_x86/sample_data/UrbanCoolingModel/et0.tif
results_suffix
t_air_average_radius 2000
t_ref 21.5
uhi_max 3.5
workspace_dir C:\Users\Kim\Documents\urban_cooling_model_workspace

2020-03-27 18:13:58,527 urban_cooling_model.execute(296) INFO Starting Urban Cooling Model
2020-03-27 18:13:58,664 geoprocessing.align_and_resize_raster_stack(752) INFO 1 of 2 aligned: lulc.tif
2020-03-27 18:13:58,677 geoprocessing.align_and_resize_raster_stack(752) INFO 2 of 2 aligned: ref_eto.tif
2020-03-27 18:13:58,677 geoprocessing.align_and_resize_raster_stack(754) INFO aligned all 2 rasters.
2020-03-27 18:13:58,707 geoprocessing.raster_calculator(375) INFO starting stats_worker
2020-03-27 18:13:58,709 geoprocessing.raster_calculator(381) INFO started stats_worker <Thread(Thread-2, started daemon 24036)>
2020-03-27 18:13:58,746 geoprocessing.raster_calculator(486) INFO Waiting for raster stats worker result.
2020-03-27 18:13:58,746 threading.run(870) DEBUG payload is None, terminating
2020-03-27 18:13:58,746 threading.run(870) WARNING No valid pixels were received, sending None.
2020-03-27 18:13:58,747 Task.add_task(641) ERROR Something went wrong when adding task reclassify to kc (1), terminating taskgraph.
TypeError: _log_gdal_errors() missing 3 required positional arguments: ‘err_level’, ‘err_no’, and ‘err_msg’

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “site-packages\taskgraph\Task.py”, line 607, in add_task
File “site-packages\taskgraph\Task.py”, line 1071, in _call
File “site-packages\pygeoprocessing\geoprocessing.py”, line 1763, in reclassify_raster
File “site-packages\pygeoprocessing\geoprocessing.py”, line 396, in raster_calculator
File “site-packages\osgeo\gdal.py”, line 2635, in ReadAsArray
File “”, line 983, in _find_and_load
File “”, line 967, in _find_and_load_unlocked
File “”, line 677, in _load_unlocked
File “C:\Python37\lib\site-packages\PyInstaller\loader\pyimod03_importers.py”, line 627, in exec_module
File “site-packages\osgeo\gdalnumeric.py”, line 2, in
File “”, line 983, in _find_and_load
File “”, line 967, in _find_and_load_unlocked
File “”, line 677, in _load_unlocked
File “C:\Python37\lib\site-packages\PyInstaller\loader\pyimod03_importers.py”, line 627, in exec_module
File “site-packages\osgeo\gdal_array.py”, line 166, in
File “site-packages\osgeo\gdal.py”, line 3032, in AllRegister
SystemError: returned a result with an error set
2020-03-27 18:13:58,749 model._logged_target(1648) ERROR Exception while executing <function execute at 0x13DFCC00>
TypeError: _log_gdal_errors() missing 3 required positional arguments: ‘err_level’, ‘err_no’, and ‘err_msg’

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “site-packages\natcap\invest\ui\model.py”, line 1645, in _logged_target
File “site-packages\natcap\invest\urban_cooling_model.py”, line 384, in execute
File “site-packages\taskgraph\Task.py”, line 607, in add_task
File “site-packages\taskgraph\Task.py”, line 1071, in _call
File “site-packages\pygeoprocessing\geoprocessing.py”, line 1763, in reclassify_raster
File “site-packages\pygeoprocessing\geoprocessing.py”, line 396, in raster_calculator
File “site-packages\osgeo\gdal.py”, line 2635, in ReadAsArray
File “”, line 983, in _find_and_load
File “”, line 967, in _find_and_load_unlocked
File “”, line 677, in _load_unlocked
File “C:\Python37\lib\site-packages\PyInstaller\loader\pyimod03_importers.py”, line 627, in exec_module
File “site-packages\osgeo\gdalnumeric.py”, line 2, in
File “”, line 983, in _find_and_load
File “”, line 967, in _find_and_load_unlocked
File “”, line 677, in _load_unlocked
File “C:\Python37\lib\site-packages\PyInstaller\loader\pyimod03_importers.py”, line 627, in exec_module
File “site-packages\osgeo\gdal_array.py”, line 166, in
File “site-packages\osgeo\gdal.py”, line 3032, in AllRegister
SystemError: returned a result with an error set
2020-03-27 18:13:58,752 model._logged_target(1651) INFO Execution finished
2020-03-27 18:13:58,757 utils.prepare_workspace(121) INFO Elapsed time: 0.25s

Please answer.

Hi @aliasgis,

Thanks for posting. This is pretty strange, I was able to enter the same inputs as you, using the sample data, and the model executed as expected. Are you running Windows 10? I’m going to ping @jdouglass here since he was the developer of this model.

Thanks,

Doug

This is strange indeed, and I’m not completely sure what’s going on here. @aliasgis, I’ve patched InVEST to provide a little more information when this error does occur. Could you try running the Urban Cooling model again on the same inputs and then pass us the logfile (even if the model succeeds)? It would be very helpful in helping find the root of the issue.

Here’s the development build: https://storage.googleapis.com/natcap-dev-build-artifacts/invest/phargogh/3.8.0.post187+ge3d0a185/InVEST_3.8.0.post187+ge3d0a185_x86_Setup.exe

Thanks!
James

1 Like